%define version 0.1.3
%define release 1mdk

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:           scim-uim
Summary:        A wrapper for uim
Version:        %{version}
Release:        %{release}
Group:		System/Internationalization
License:	GPL
URL:		http://freedesktop.org/~suzhe/
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	%{libname} = %{version}-%{release}
Requires:	scim >= 0.99.0 uim >= 0.3.9
BuildRequires:  scim-devel >= 0.99.8 libuim-devel >= 0.3.9

%description
A wrapper for uim.


%package -n %{libname}
Summary:	Scim-uim library.
Group:		System/Internationalization
Provides:	%{libname_orig} = %{version}-%{release}

%description -n %{libname}
scim-uim library.


%package -n %{libname}-devel
Summary:	Headers of scim-uim for development.
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}

%description -n %{libname}-devel
Headers of %{name} for development.


%prep
%setup -q

%build
./bootstrap

%configure2_5x --disable-static --datadir=$RPM_BUILD_ROOT%{_datadir}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_datadir}/scim/icons/*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/scim-1.0/IMEngine/*.so

%files -n %{libname}-devel
%defattr(-,root,root)
%doc COPYING
%{_libdir}/scim-1.0/IMEngine/*.la

%changelog
* Mon Aug 23 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.3-1mdk
- new release
- bump scim buildrequires

* Mon Aug 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.2-1mdk
- new release

* Tue Jul 06 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.1-3.cvs20040705.1mdk
- cvs 20040705

* Mon Jun 21 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.1-1mdk
- new release

* Sun Jun 13 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.1-1mdk
- initial spec for mdk
